clear;
close all;
%% Input parameters
N = 200;% total number of patches in the image
n = 5;% number of aligned patches
jitter_level = 0.2;% Jitter level must belong to (0, 1]

%% Run aligned_gabors.m
id_out_im = 'stimulus.png';
id_out_im_al = 'target.png';
id_out_im_algo = 'output_algo.png';
id_out_pts = 'pts.txt';
id_out_ors = 'ors.txt';
id_out_al = 'target_idx.txt';
id_out_nfa_detec = 'nfa_detec.txt';
id_out_nfa_target = 'nfa_target.txt';
id_out_report = 'report.txt';
aligned_gabors(id_out_im, id_out_im_al, id_out_im_algo, ...
    id_out_pts, id_out_ors, id_out_al, id_out_nfa_detec, ...
    id_out_nfa_target, id_out_report, int2str(N), int2str(n), num2str(jitter_level));

filename = sprintf('%s', id_out_im);
IMG_stimulus = imread(filename);
figure('name','stimulus');
imshow(IMG_stimulus);

filename = sprintf('%s', id_out_im_al);
IMG_alignment = imread(filename);
figure('name','target');
imshow(IMG_alignment);

filename = sprintf('%s', id_out_im_algo);
IMG_out = imread(filename);
figure('name','detection');
imshow(IMG_out);